Subject: FVWM: turning off key & mouse bindings in a window

From: [email-masked]
Date: Fri, 12 Jul 2002 09:47:28 -0600

Is there a way to turn off key & mouse bindings when entering a
particular window?  I've looked through some of the documentation but
haven't found anything but I may have looked hard enough yet.  ;-)

For a simple example, suppose I have

        Key     F1              FSTWI           N               RaiseLower

and I'm running fvwm2 locally.  I'm also using a vncviewer to attach
to a remote Xvnc which is also running fvwm2.  What I would like to
do is when I'm in the vncviewer window, I want the "F1" key event to
pass into the vncviewer to the remote fvmw2 instead of being acted upon
by the locally running fvwm2.

Any suggestions or comments would be appreciated.

Regards,
dcj
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Cameron Simpson <[email-masked]>
Date: Wed, 24 Jul 2002 12:00:14 +1000

On 09:47 12 Jul 2002, [email-masked] <[email-masked]> wrote:
| Is there a way to turn off key & mouse bindings when entering a
| particular window?  I've looked through some of the documentation but
| haven't found anything but I may have looked hard enough yet.  ;-)

I'm fairly sure you can't at present.

| For a simple example, suppose I have
|         Key     F1              FSTWI           N               RaiseLower
| and I'm running fvwm2 locally.  I'm also using a vncviewer to attach
| to a remote Xvnc which is also running fvwm2.  What I would like to
| do is when I'm in the vncviewer window, I want the "F1" key event to
| pass into the vncviewer to the remote fvmw2 instead of being acted upon
| by the locally running fvwm2.

I too would like to cast a vote for such a feature, one day.
And my use is also vncviewer.
(My windows are undecorated normally. I have a whole "titled" style
just for running inside vnc desktops so I can manipulate things:-)

Cheers,
-- 
Cameron Simpson, DoD#743        [email-masked]    http://www.zip.com.au/~cs/

After clicking on seven pull-down menus and clicking [OK],
this thing still asks me "ARE YOU SURE YOU WANT TO CONTINUE?"
No, you stupid machine.... I had a spasm, so it was all a mistake.
Duh.
	- Dean Malandris <[email-masked]>
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].